html {
  scroll-behavior: smooth;
}
/* Footer Styling */
.site-footer {
  background: #222;
  color: #fff;
  margin-top: auto;
  padding: 40px 20px 10px;
  font-family: Arial, sans-serif;
}

.footer-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  max-width: 1100px;
  margin: auto;
}

.footer-logo h2 {
  color: #ff5722;
  margin-bottom: 5px;
}

.footer-links h3,
.footer-social h3 {
  margin-bottom: 10px;
  color: #ffcc80;
}

.footer-links ul {
  list-style: none;
}

.footer-links li {
  margin-bottom: 8px;
}

.footer-links a {
  color: #ddd;
  text-decoration: none;
  transition: 0.3s;
}

.footer-links a:hover {
  color: #ff5752;
}

.footer-social-icons a {
  font-size: 1.3rem;
  margin-right: 15px;
  color: #ddd;
  transition: 0.3s ease;
}

.footer-social-icons a:hover {
  color: #ff5722;
}

.footer-bottom {
  text-align: center;
  margin-top: 20px;
  border-top: 1px solid #444;
  padding-top: 10px;
  font-size: 1.2rem;
  color: #aaa;
}

/* Responsive Footer */
@media (max-width: 768px) {
  .footer-container {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
  }
}
